Extended Fields - Bug #2318

Issues as pdf
25 Jun 2014 13:18 - Marc M

Status: In Progress Start date: 25 Jun 2014
Priority: Normal Due date:

Assignee: Andriy Lesyuk % Done: 90%
Category: Estimated time: 0.00 hour
Target version: 0.2.4

Redmine version: External issue:

Description

500 internal error page when | want to view/export an issue as pdf
It only appears when the extendes fields plugin is installed and only on issues.

Log:

Started GET "/issues/2012.pdf" for xx.xxx.xxx.xxx at 2014-06-25 14:43:36 +0200
Processing by IssuesController#show as PDF

Parameters: {"id"=>"2012"}

Current user: xx (id=3)

Completed 500 Internal Server Error in 140.6ms

NoMethodError (undefined method "find_custom_field_template' for #<IssuesController:0x007fc27cc2c9
78>) :

lib/redmine/export/pdf.rb:576:in “block in issue_to_pdf'

lib/redmine/export/pdf.rb:575:in "each'

lib/redmine/export/pdf.rb:575:in “each_with_index'

lib/redmine/export/pdf.rb:575:in “issue_to_pdf'

app/controllers/issues_controller.rb:133:in “block (2 levels) in show'

app/controllers/issues_controller.rb:125:in " show'

Redmine 2.5.1.stable. 13182
Extended fields 0.2.3

Related issues:

Related to Extended Fields - Bug #2261: issues PDF view and descriptions Incomplete 04 Nov 2013
Related to Extended Fields - Bug #2098: Failure in XLS Export (undefined meth... In Progress 07 Sep 2012
Related to Extended Fields - Bug #1936: Undefined method “find_custom_field_t... Closed 06 Jan 2012 01 Feb 2012
Related to Extended Fields - Bug #1934: Export to csv fails, NoMethodError (u... Closed 06 Jan 2012
Duplicated by Extended Fields - Bug #2359: Extended fields plugin breaks PDF ... In Progress 29 Jan 2015

Associated revisions

Revision 124 - 03 Oct 2016 16:23 - Andriy Lesyuk
Explicitly include ExtendedFieldsHelper (#2318, #2359, #2098)

History

#1 - 16 Sep 2014 12:25 - Olivier Houdas

We have the same issue.
If | remove the Yes/No field from the list of columns to be shown, the PDF can be generated.
#2 - 25 Nov 2014 10:41 - Alexander Kuznecov

Reproduced on:

Redmine 2.6.0
Extended fields 0.2.3
Ruby 2.1.4

#3 - 08 Dec 2014 08:40 - Andreas Hartmann

Same issue here with the following environment and up to date extended_fields version.

Redmine version 2.5.3.stable
Ruby version 2.1.5-p273 (2014-11-13) [x86_64-1linux]
Rails version 3.2.19

#4 - 15 Dec 2014 07:55 - Andriy Lesyuk
- Status changed from New to Incomplete

- Target version set to 0.2.4

#5 - 16 Dec 2014 17:18 - Andreas Hartmann

Can i provide any further information to help to solve this issue?

#6 - 21 Oct 2015 20:08 - Koen Boone

i'm also having this issue (redmine 2.6.1)... pdf creation errors on issue lists and issues, is there any progress on this?
it would be greatly appreciated

#7 - 03 Oct 2016 10:19 - Andriy Lesyuk
- Duplicates deleted (Bug #2261: issues PDF view and descriptions)

#8 - 03 Oct 2016 10:20 - Andriy Lesyuk
- Duplicated by Bug #2359: Extended fields plugin breaks PDF export added

#9 - 03 Oct 2016 10:20 - Andriy Lesyuk
- Related to Bug #2261: issues PDF view and descriptions added

#10 - 03 Oct 2016 10:21 - Andriy Lesyuk
- Related to Bug #2098: Failure in XLS Export (undefined method “find_custom_field_template' for #<XlsExportController) added

#11 - 03 Oct 2016 10:23 - Andriy Lesyuk
- Related to Bug #1936: Undefined method “find_custom_field_template' added

#12 - 03 Oct 2016 10:25 - Andriy Lesyuk
- Related to Bug #1934: Export to csv fails, NoMethodError (undefined method “find_custom_field_template' added
#13 - 03 Oct 2016 13:20 - Andriy Lesyuk

- Status changed from Incomplete to In Progress

This will be the issue, where all the work will be tracked. See the list of related issues for possible duplicates and similar issues.

Some ideas and possible fixes:

1. Does the patch of Sergey B in #2359 help (same as 37?)?
2. Does the suggestion in #2261 (note 7) help?
3. Maybe note 22 and 24 in #20987?

#14 - 03 Oct 2016 16:32 - Andriy Lesyuk
- % Done changed from 0 to 90

Probably, r124 fixes this issue. Could you please check?

#15 - 08 Feb 2019 12:12 - Marc M

Seems fixed in the current version. with redmine 3.4
http://projects.andriylesyuk.com/users/sergey-b
http://projects.andriylesyuk.com/issues/2359
http://projects.andriylesyuk.com/issues/2261
http://projects.andriylesyuk.com/issues/2098
http://projects.andriylesyuk.com/projects/extended-fields/repository/revisions/124
http://www.tcpdf.org

